Bug 115716 - convert gives error "FreeType library is not available"
convert gives error "FreeType library is not available"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Mike McLean
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-02-15 07:07 EST by Rick Richardson
Modified: 2013-04-02 00:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-23 08:12:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2004-02-15 07:07:54 EST
ImageMagick, ghostscript, and freetype are all installed and up2date.
 But I get this error from "convert":

convert -fill red -draw 'rectangle 639,502 640,521' -draw 'rectangle
630,511 649,512' -box white -fill black -draw 'text 642,509 "50.13.748
8.46.030"' /tmp/geo2716-imap.gif /tmp/geo2716-map.gif

convert: FreeType library is not available
(/usr/share/fonts/default/Type1/n019003l.pfb).

Works fine on RH7.2 and RH8.0.  But not on FC2T1.

I really don't know where the problem lies.
Comment 1 Rick Richardson 2004-02-15 07:09:22 EST
Oh yeah, you can get the whole 'geo-map' shell script to generate
custom test cases from here:  http://geo.rkkda.com.
Comment 2 Rick Richardson 2004-02-15 07:16:13 EST
$ root rpm -q --whatprovides /usr/bin/convert
ImageMagick-5.5.7.15-0.2
$ root rpm -q --whatprovides /usr/lib/libfreetype.so
freetype-devel-2.1.7-1
Comment 3 Mace Moneta 2004-03-10 14:54:56 EST
Seeing the same problem here, clean FC1 install, all up2date as of
this 3/10/2004.  Command:

DTE=`/bin/date`
/usr/bin/convert IMAGE.JPG -type truecolormatte                 \
                 -fill '#00000080' -draw 'rectangle 5,5,190,25' \
                 -fill white -draw "text 10,20 '$DTE'"          \
                  test.jpg

Result:
/usr/bin/convert: FreeType library is not available
(/usr/share/fonts/default/Type1/n019003l.pfb).
Comment 4 Karsten Hopp 2004-03-23 08:12:16 EST
fixed in ImageMagick-5.5.7.15-1.3 
Comment 5 John Beatty 2004-03-24 00:08:43 EST
I am using  ImageMagick-5.5.7-16

convert -fill blue -draw "text 100,100 Cockatoo" temp2.png temp3.png
convert: FreeType library is not available 
(/usr/share/fonts/default/Type1/n019003l.pfb).

I get same error no matter how I word the command with different font 
options. If I'm doing any kind of text it spits out that error.
Comment 6 Karsten Hopp 2004-03-25 06:56:30 EST
@John Beatty: 
Where did you get ImageMagick-5.5.7-16 ? I don't think that's  
one of our packages. As far as I know 5.5.7.15-1.3 is the latest 
one for fedora-core-2. 
Comment 7 John Beatty 2004-03-25 20:21:28 EST
I apologize I'm not very knowledgeable with the Linux world. I 
evidentially have Red Hat Linux 7.2 (Enigma).

I found this post doing a web search and its the only information I 
could find that mentions the exact same bug I'm getting. If you have 
anything else you can tell me or someoen to contact about it I would 
greatly appreciate it.

My problem is exactly as its been described here so maybe there is 
something you can have me try to resolve it. Thanks!
Comment 8 Heping Zheng 2005-02-18 15:28:47 EST
It is likely you do not install freetype-devel. Imagemagick require
both freetype & freetype-devel package installed on the system before
you can use the font.So you need to recompile ImageMagick with both
library installed.

Note You need to log in before you can comment on or make changes to this bug.